Package opennlp.tools.langdetect

# Record Class LanguageSample

java.lang.Object
java.lang.Record
opennlp.tools.langdetect.LanguageSample

All Implemented Interfaces:
  `Serializable`

public record LanguageSample(Language language, CharSequence context) extends Record implements Serializable
Holds a classified document and its `Language`.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LanguageSample(Language language, CharSequence context)`
  Creates an instance of a `LanguageSample` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CharSequence`
  `context()`
  Returns the value of the `context` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Language`
  `language()`
  Returns the value of the `language` record component.
  `String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LanguageSample

    public LanguageSample(Language language, CharSequence context)
    Creates an instance of a `LanguageSample` record class.
    Parameters:
      `language` - the value for the `language` record component
      `context` - the value for the `context` record component

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### language

    public Language language()
    Returns the value of the `language` record component.
    Returns:
      the value of the `language` record component

  - ### context

    public CharSequence context()
    Returns the value of the `context` record component.
    Returns:
      the value of the `context` record component